Package org.apache.sling.graphql.api

# Class SlingGraphQLException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.graphql.api.SlingGraphQLException

All Implemented Interfaces:
  `Serializable`

@ProviderType public class SlingGraphQLException extends RuntimeException
The `SlingGraphQLException` defines the class of errors that can be thrown by the `org.apache.sling.graphql.core` bundle.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SlingGraphQLException(String message)`
Creates a `SlingGraphQLException` without a known cause.
`SlingGraphQLException(String message, Throwable cause)`
Creates a `SlingGraphQLException` with a known cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SlingGraphQLException

public SlingGraphQLException(String message)
Creates a `SlingGraphQLException` without a known cause.

Parameters:
  `message` - the exception's message

### SlingGraphQLException

public SlingGraphQLException(String message, Throwable cause)
Creates a `SlingGraphQLException` with a known cause.

Parameters:
  `message` - the exception's message
  `cause` - the cause of this exception